File: changelog

package info (click to toggle)
dune-grid 2.7.1-2
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 7,396 kB
  • sloc: cpp: 55,318; ansic: 444; perl: 191; makefile: 3; sh: 3
file content (306 lines) | stat: -rw-r--r-- 9,879 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
dune-grid (2.7.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Ansgar <ansgar@debian.org>  Mon, 11 Jan 2021 22:33:42 +0100

dune-grid (2.7.1-1) experimental; urgency=medium

  * New upstream release

 -- Patrick Jaap <patrick.jaap@tu-dresden.de>  Thu, 07 Jan 2021 10:11:23 +0100

dune-grid (2.7.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Ansgar <ansgar@debian.org>  Wed, 15 Jul 2020 12:42:38 +0200

dune-grid (2.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches that were applied upstream:
    - removed patch: 0001-fix-base64-encoder.patch
    - removed patch: i386-fpu-tolerance.patch
  * Use debhelper compat level 13.
  * Bumped Standards-Version to 4.5.0 (no changes).

 -- Ansgar <ansgar@debian.org>  Mon, 25 May 2020 18:43:31 +0200

dune-grid (2.6.0-5) unstable; urgency=medium

  * Backport patch to fix float comparison on i386.
    + new patch: i386-fpu-tolerance.patch

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 13 Oct 2019 15:17:06 +0200

dune-grid (2.6.0-4) unstable; urgency=medium

  * Use python3-vtk7 for tests. (Closes: #942000)
    + new patch: use-python3.patch
  * Bumped Standards-Version to 4.4.1 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 09 Oct 2019 17:57:13 +0200

dune-grid (2.6.0-3) unstable; urgency=medium

  * Backport patch to fix base64 encoder on big endian.
    + new patch: 0001-fix-base64-encoder.patch

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 21 Jun 2018 23:43:09 +0200

dune-grid (2.6.0-2) unstable; urgency=medium

  * Add a simple autopkgtest.

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 21 Jun 2018 11:24:46 +0200

dune-grid (2.6.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control: now requires cmake >= 3.1

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 04 Apr 2018 00:08:47 +0200

dune-grid (2.6.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * add Build-Depends: python-vtk6 to enable additional tests
  * d/control: update Vcs-* fields for move to salsa.debian.org
  * Bumped Standards-Version to 4.1.3 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 08 Jan 2018 13:02:28 +0100

dune-grid (2.6~20171113-1) experimental; urgency=medium

  * New upstream snapshot.
  * d/control: add `Rules-Requires-Root: no`
  * libdune-grid-doc: add Built-Using: doxygen (for jquery.js)
  * Bumped Standards-Version to 4.1.1 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 21 Nov 2017 09:28:01 +0100

dune-grid (2.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depend on texlive-pictures instead of pgf. (Closes: #867076)
  * debian/copyright: Update URLs.
  * Bumped Standards-Version to 4.0.0 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 18 Jul 2017 12:10:59 +0200

dune-grid (2.5.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * No longer build manual -dbg package. Use the automatically generated
    -dbgsym package instead.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 17 Jun 2017 17:27:01 +0200

dune-grid (2.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Increase timeout for tensorgridfactorytest (took too long on sparc64).
    + new patch: increase-test-timeouts.patch
  * Remove build-dep on chrpath. It is no longer used since the switch to
    CMake in 2.5.0~rc1-1.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 18 Dec 2016 18:03:39 +0100

dune-grid (2.5.0~rc2-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release candidate.
  * Install example grids to /usr/share/dune-grid/grids.
    + New patch: example-grids-install-location.patch

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 06 Dec 2016 00:51:02 +0100

dune-grid (2.5.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Use libdune-uggrid-dev instead of libug-dev.
  * Switch to CMake.
  * Bumped Standards-Version to 3.9.8 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 01 Dec 2016 18:22:38 +0100

dune-grid (2.4.1-1) unstable; urgency=medium

  * New upstream release.
  * (Build-)Depend on last DUNE upload.

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 29 Feb 2016 10:42:07 +0100

dune-grid (2.4.1~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop patches that were backported from upstream.
  * (Build-)Depend on last DUNE upload.
  * Mark libdune-grid-dev as Multi-Arch: same.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 28 Feb 2016 15:04:03 +0100

dune-grid (2.4.0-2) unstable; urgency=medium

  * Backport patches from upstream stable release branch.
    + FindAlberta.cmake and FindGrape.cmake should work with current
      versions of CMake.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 26 Jan 2016 09:19:10 +0100

dune-grid (2.4.0-1) unstable; urgency=medium

  * New upstream release.
  * (Build-)Depend on last DUNE upload.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 25 Sep 2015 22:45:01 +0200

dune-grid (2.4~20150912rc3-1) unstable; urgency=medium

  * New upstream release candidate.
  * (Build-)Depend on last DUNE upload.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 13 Sep 2015 14:15:36 +0200

dune-grid (2.4~20150825rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * (Build-)Depend on last DUNE upload.
  * Move shared library into -dev package and provide a virtual package
    that changes with the upstream version for shlib dependencies. See
    also https://lists.debian.org/debian-devel/2015/07/msg00115.html
  * libdune-grid-dev: Add -doc package as a suggested package.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 05 Sep 2015 16:23:56 +0200

dune-grid (2.4~20150717rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * (Build-)Depend on last DUNE upload.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 17 Jul 2015 21:24:29 +0200

dune-grid (2.4~20150616g0a6236e-1) experimental; urgency=medium

  * New upstream snapshot.
  * (Build-)Depend on last DUNE upload.
  * (Build-)Depend on last UG release.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 20 Jun 2015 00:34:52 +0200

dune-grid (2.4~20150506gd3c1350-1) experimental; urgency=medium

  * New upstream snapshot.
  * Change shared library package name to libdune-grid-2.4git.
  * debian/copyright: Update for new upstream snapshot.
  * (Build-)Depend on last DUNE upload.
  * Add Build-Depends-Indep: graphviz for "dot".
  * Install documentation to correct location.
  * Bumped Standards-Version to 3.9.6.

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 06 May 2015 00:49:10 +0200

dune-grid (2.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 17 Jun 2014 20:02:30 +0200

dune-grid (2.3.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Add Build-Depends on libug-dev for UG support.
  * Change (Build-)Depends on libalberta2-dev to libalberta-dev.
  * Add Multi-Arch fields for library, debug and documentation packages.
  * Change shared library package name to libdune-grid-2.3.1.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 10 Jun 2014 21:03:32 +0200

dune-grid (2.3.0-2) unstable; urgency=medium

  * Install /usr/share/dune-grid.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 14 Feb 2014 10:49:16 +0100

dune-grid (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Change shared library package name to libdune-grid-2.3.0.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 14 Feb 2014 09:52:41 +0100

dune-grid (2.3~20140117beta2-1) experimental; urgency=medium

  * New upstream snapshot.
  * libdune-grid-dev.install: Install /usr/lib/*/cmake.

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 20 Jan 2014 23:34:34 +0100

dune-grid (2.3~20140110beta1-1) experimental; urgency=medium

  * New upstream snapshot.
  * debian/control: Remove ${shlibs:Depends} from -dev and -dbg package.
  * Install cmake modules. Note that it is still not possible to use
    cmake with the Debian packages.

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 15 Jan 2014 14:31:55 +0100

dune-grid (2.3~20140101g16be0c0-1) experimental; urgency=medium

  * New upstream snapshot.
  * Bumped Standards-Version to 3.9.5 (no changes).
  * Drop install-grids-as-doc.patch (applied upstream).
  * Change shared library package name to libdune-grid-2.3svn.
  * Drop pre-depends on dpkg (>= 1.15.6) which is already satisfied in
    Debian 6.
  * debian/control: Use canonical Vcs-* URIs.

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 01 Jan 2014 19:56:24 +0100

dune-grid (2.2.1-2) unstable; urgency=low

  * Upload to unstable.
  * Bumped Standards-Version to 3.9.4.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 18 May 2013 19:44:57 +0200

dune-grid (2.2.1-1) experimental; urgency=low

  * New upstream release.
  * debian/copyright: Update for new upstream release.
  * Update soname.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 02 Mar 2013 03:02:57 +0100

dune-grid (2.2.0-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 05 Jun 2012 10:43:53 +0200

dune-grid (2.2~svn8040-1) experimental; urgency=low

  * New upstream snapshot.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 06 May 2012 15:34:32 +0200

dune-grid (2.2~svn7990-1) experimental; urgency=low

  * New upstream snapshot.
  * Drop patch geometry-changes.patch: applied upstream.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 10 Apr 2012 21:31:57 +0200

dune-grid (2.2~svn7982-2) experimental; urgency=low

  * Work around make install failing when building only arch:any.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 07 Apr 2012 20:47:27 +0200

dune-grid (2.2~svn7982-1) experimental; urgency=low

  * Initial release. (Closes: #661823)

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 06 Apr 2012 11:31:20 +0200